Support Questions
Find answers, ask questions, and share your expertise

Hue ssl error

Hue ssl error

Explorer

 

We are using CDH 5.4.7. We are seeing continous errors on the hue error log like below.

 

------------------------------------------------------------------------------------------------------------------

 

wsgiserver ERROR WSGI (<WorkerThread(CP WSGIServer Thread-37, started 139914970646272)>) error: [('SSL routines', 'SSL23_WRITE', 'ssl handshake failure')]
Traceback (most recent call last):
File "/opt/cloudera/parcels/CDH-5.4.7-1.cdh5.4.7.p0.3/lib/hue/desktop/core/src/desktop/lib/wsgiserver.py", line 1304, in run
conn.communicate()
File "/opt/cloudera/parcels/CDH-5.4.7-1.cdh5.4.7.p0.3/lib/hue/desktop/core/src/desktop/lib/wsgiserver.py", line 1214, in communicate
req.simple_response("408 Request Timeout")
File "/opt/cloudera/parcels/CDH-5.4.7-1.cdh5.4.7.p0.3/lib/hue/desktop/core/src/desktop/lib/wsgiserver.py", line 618, in simple_response
self.wfile.sendall("".join(buf))
File "/opt/cloudera/parcels/CDH-5.4.7-1.cdh5.4.7.p0.3/lib/hue/desktop/core/src/desktop/lib/wsgiserver.py", line 1139, in sendall
return self._safe_call(False, super(SSL_fileobject, self).sendall, *args, **kwargs)
File "/opt/cloudera/parcels/CDH-5.4.7-1.cdh5.4.7.p0.3/lib/hue/desktop/core/src/desktop/lib/wsgiserver.py", line 1091, in _safe_call
return call(*args, **kwargs)
File "/opt/cloudera/parcels/CDH-5.4.7-1.cdh5.4.7.p0.3/lib/hue/desktop/core/src/desktop/lib/wsgiserver.py", line 753, in sendall
bytes_sent = self.send(data)
File "/opt/cloudera/parcels/CDH-5.4.7-1.cdh5.4.7.p0.3/lib/hue/desktop/core/src/desktop/lib/wsgiserver.py", line 1142, in send
return self._safe_call(False, super(SSL_fileobject, self).send, *args, **kwargs)
File "/opt/cloudera/parcels/CDH-5.4.7-1.cdh5.4.7.p0.3/lib/hue/desktop/core/src/desktop/lib/wsgiserver.py", line 1121, in _safe_call
raise FatalSSLAlert(*e.args)
FatalSSLAlert: [('SSL routines', 'SSL23_WRITE', 'ssl handshake failure')]

-----------------------------------------------------------------------------------------------------------------------

 

We have below openssl installed on the servers.

 


openssl-1.0.1e-42
openssl098e-0.9.8e-18.0.1